Package org.jfree.layouting.input.style.selectors

## Class CSSSelectorFactory

- java.lang.Object
- - org.jfree.layouting.input.style.selectors.CSSSelectorFactory

- All Implemented Interfaces:
    `java.io.Serializable`, `org.w3c.css.sac.SelectorFactory`

      public class CSSSelectorFactory
      extends java.lang.Object
      implements org.w3c.css.sac.SelectorFactory, java.io.Serializable

  Creation-Date: 30.11.2005, 15:38:21
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSSelectorFactory​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.w3c.css.sac.SimpleSelector` | `createAnyNodeSelector​()` | Creates an any node selector.
    `org.w3c.css.sac.CharacterDataSelector` | `createCDataSectionSelector​(java.lang.String data)` | Creates a cdata section node selector.
    `org.w3c.css.sac.DescendantSelector` | `createChildSelector​(org.w3c.css.sac.Selector parent, org.w3c.css.sac.SimpleSelector child)` | Creates a child selector.
    `org.w3c.css.sac.CharacterDataSelector` | `createCommentSelector​(java.lang.String data)` | Creates a comment node selector.
    `org.w3c.css.sac.ConditionalSelector` | `createConditionalSelector​(org.w3c.css.sac.SimpleSelector selector, org.w3c.css.sac.Condition condition)` | Creates a conditional selector.
    `org.w3c.css.sac.DescendantSelector` | `createDescendantSelector​(org.w3c.css.sac.Selector parent, org.w3c.css.sac.SimpleSelector descendant)` | Creates a descendant selector.
    `org.w3c.css.sac.SiblingSelector` | `createDirectAdjacentSelector​(short nodeType, org.w3c.css.sac.Selector child, org.w3c.css.sac.SimpleSelector directAdjacent)` | Creates a sibling selector.
    `org.w3c.css.sac.ElementSelector` | `createElementSelector​(java.lang.String namespaceURI, java.lang.String tagName)` | Creates an element selector.
    `org.w3c.css.sac.NegativeSelector` | `createNegativeSelector​(org.w3c.css.sac.SimpleSelector selector)` | Creates an negative selector.
    `org.w3c.css.sac.ProcessingInstructionSelector` | `createProcessingInstructionSelector​(java.lang.String target, java.lang.String data)` | Creates a processing instruction node selector.
    `org.w3c.css.sac.ElementSelector` | `createPseudoElementSelector​(java.lang.String namespaceURI, java.lang.String pseudoName)` | Creates a pseudo element selector.
    `org.w3c.css.sac.SimpleSelector` | `createRootNodeSelector​()` | Creates an root node selector.
    `org.w3c.css.sac.CharacterDataSelector` | `createTextNodeSelector​(java.lang.String data)` | Creates a text node selector.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSSelectorFactory

          public CSSSelectorFactory​()

  - ### Method Detail

    - #### createConditionalSelector

          public org.w3c.css.sac.ConditionalSelector createConditionalSelector​(org.w3c.css.sac.SimpleSelector selector,
                                                                               org.w3c.css.sac.Condition condition)
                                                                        throws org.w3c.css.sac.CSSException

      Creates a conditional selector.
      Specified by:
        `createConditionalSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Parameters:
        `selector` - a selector.
        `condition` - a condition
      Returns:
        the conditional selector.
      Throws:
        `org.w3c.css.sac.CSSException` - If this selector is not supported.

    - #### createAnyNodeSelector

          public org.w3c.css.sac.SimpleSelector createAnyNodeSelector​()
                                                               throws org.w3c.css.sac.CSSException

      Creates an any node selector.
      Specified by:
        `createAnyNodeSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Returns:
        the any node selector.
      Throws:
        `org.w3c.css.sac.CSSException` - If this selector is not supported.

    - #### createRootNodeSelector

          public org.w3c.css.sac.SimpleSelector createRootNodeSelector​()
                                                                throws org.w3c.css.sac.CSSException

      Creates an root node selector.
      Specified by:
        `createRootNodeSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Returns:
        the root node selector.
      Throws:
        `org.w3c.css.sac.CSSException` - If this selector is not supported.

    - #### createNegativeSelector

          public org.w3c.css.sac.NegativeSelector createNegativeSelector​(org.w3c.css.sac.SimpleSelector selector)
                                                                  throws org.w3c.css.sac.CSSException

      Creates an negative selector.
      Specified by:
        `createNegativeSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Parameters:
        `selector` - a selector.
      Returns:
        the negative selector.
      Throws:
        `org.w3c.css.sac.CSSException` - If this selector is not supported.

    - #### createElementSelector

          public org.w3c.css.sac.ElementSelector createElementSelector​(java.lang.String namespaceURI,
                                                                       java.lang.String tagName)
                                                                throws org.w3c.css.sac.CSSException

      Creates an element selector.
      Specified by:
        `createElementSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Parameters:
        `namespaceURI` - the namespace URI of the element selector.
        `tagName` - the local part of the element name. `NULL` if this element selector can match any element.
      Returns:
        the element selector
      Throws:
        `org.w3c.css.sac.CSSException` - If this selector is not supported.

    - #### createTextNodeSelector

          public org.w3c.css.sac.CharacterDataSelector createTextNodeSelector​(java.lang.String data)
                                                                       throws org.w3c.css.sac.CSSException

      Creates a text node selector.
      Specified by:
        `createTextNodeSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Parameters:
        `data` - the data
      Returns:
        the text node selector
      Throws:
        `org.w3c.css.sac.CSSException` - If this selector is not supported.

    - #### createCDataSectionSelector

          public org.w3c.css.sac.CharacterDataSelector createCDataSectionSelector​(java.lang.String data)
                                                                           throws org.w3c.css.sac.CSSException

      Creates a cdata section node selector.
      Specified by:
        `createCDataSectionSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Parameters:
        `data` - the data
      Returns:
        the cdata section node selector
      Throws:
        `org.w3c.css.sac.CSSException` - If this selector is not supported.

    - #### createProcessingInstructionSelector

          public org.w3c.css.sac.ProcessingInstructionSelector createProcessingInstructionSelector​(java.lang.String target,
                                                                                                   java.lang.String data)
                                                                                            throws org.w3c.css.sac.CSSException

      Creates a processing instruction node selector.
      Specified by:
        `createProcessingInstructionSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Parameters:
        `target` - the target
        `data` - the data
      Returns:
        the processing instruction node selector
      Throws:
        `org.w3c.css.sac.CSSException` - If this selector is not supported.

    - #### createCommentSelector

          public org.w3c.css.sac.CharacterDataSelector createCommentSelector​(java.lang.String data)
                                                                      throws org.w3c.css.sac.CSSException

      Creates a comment node selector.
      Specified by:
        `createCommentSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Parameters:
        `data` - the data
      Returns:
        the comment node selector
      Throws:
        `org.w3c.css.sac.CSSException` - If this selector is not supported.

    - #### createPseudoElementSelector

          public org.w3c.css.sac.ElementSelector createPseudoElementSelector​(java.lang.String namespaceURI,
                                                                             java.lang.String pseudoName)
                                                                      throws org.w3c.css.sac.CSSException

      Creates a pseudo element selector.
      Specified by:
        `createPseudoElementSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Parameters:
        `pseudoName` - the pseudo element name. `NULL` if this element selector can match any pseudo element.
      Returns:
        the element selector
      Throws:
        `org.w3c.css.sac.CSSException` - If this selector is not supported.

    - #### createDescendantSelector

          public org.w3c.css.sac.DescendantSelector createDescendantSelector​(org.w3c.css.sac.Selector parent,
                                                                             org.w3c.css.sac.SimpleSelector descendant)
                                                                      throws org.w3c.css.sac.CSSException

      Creates a descendant selector.
      Specified by:
        `createDescendantSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Parameters:
        `parent` - the parent selector
        `descendant` - the descendant selector
      Returns:
        the combinator selector.
      Throws:
        `org.w3c.css.sac.CSSException` - If this selector is not supported.

    - #### createChildSelector

          public org.w3c.css.sac.DescendantSelector createChildSelector​(org.w3c.css.sac.Selector parent,
                                                                        org.w3c.css.sac.SimpleSelector child)
                                                                 throws org.w3c.css.sac.CSSException

      Creates a child selector.
      Specified by:
        `createChildSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Parameters:
        `parent` - the parent selector
        `child` - the child selector
      Returns:
        the combinator selector.
      Throws:
        `org.w3c.css.sac.CSSException` - If this selector is not supported.

    - #### createDirectAdjacentSelector

          public org.w3c.css.sac.SiblingSelector createDirectAdjacentSelector​(short nodeType,
                                                                              org.w3c.css.sac.Selector child,
                                                                              org.w3c.css.sac.SimpleSelector directAdjacent)
                                                                       throws org.w3c.css.sac.CSSException

      Creates a sibling selector.
      Specified by:
        `createDirectAdjacentSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Parameters:
        `nodeType` - the type of nodes in the siblings list.
        `child` - the child selector
        `adjacent` - the direct adjacent selector
      Returns:
        the sibling selector with nodeType equals to org.w3c.dom.Node.ELEMENT_NODE
      Throws:
        `org.w3c.css.sac.CSSException` - If this selector is not supported.